Bug 447741 - JBD: Fix typo that could result in filesystem corruption.
JBD: Fix typo that could result in filesystem corruption.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
high Severity high
: rc
: ---
Assigned To: Josef Bacik
Martin Jenner
:
: 450772 (view as bug list)
Depends On:
Blocks: 447742
  Show dependency treegraph
 
Reported: 2008-05-21 11:01 EDT by Josef Bacik
Modified: 2009-05-18 15:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:18:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (488 bytes, text/x-patch)
2008-05-21 11:05 EDT, Josef Bacik
no flags Details

  None (edit)
Description Josef Bacik 2008-05-21 11:01:07 EDT
There is a typo in JBD that could result in fs corruption on recovery.  This
exists in RHEL4 and RHEL5 and needs to be backported.  The upstream commit is 

439aeec639d7c57f3561054a6d315c40fd24bb74
Comment 1 Josef Bacik 2008-05-21 11:05:05 EDT
Created attachment 306260 [details]
patch

backported patch.
Comment 3 Eric Sandeen 2008-06-12 10:28:43 EDT
*** Bug 450772 has been marked as a duplicate of this bug. ***
Comment 5 RHEL Product and Program Management 2008-12-17 15:21:13 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Vivek Goyal 2009-01-05 09:18:20 EST
Committed in 78.23.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 11 errata-xmlrpc 2009-05-18 15:18:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.